<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy MainWindow.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_main_window_8hpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">MainWindow.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_main_window_8hpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef MAINWINDOW_HPP</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define MAINWINDOW_HPP</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#include &lt;QMainWindow&gt;</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#include &lt;QPushButton&gt;</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#include &lt;QTimer&gt;</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#include &lt;QThread&gt;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="preprocessor">#include &lt;QMenuBar&gt;</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#include &quot;<a class="code" href="_terminal_8hpp.html">Terminal.hpp</a>&quot;</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="preprocessor">#include &quot;<a class="code" href="_distance_win_8hpp.html">DistanceWin.hpp</a>&quot;</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="preprocessor">#include &quot;<a class="code" href="_velocity_graph_8hpp.html">VelocityGraph.hpp</a>&quot;</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="preprocessor">#include &quot;<a class="code" href="_map3_d_8hpp.html">Map3D.hpp</a>&quot;</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="preprocessor">#include &quot;<a class="code" href="_robot_data_8hpp.html">RobotData.hpp</a>&quot;</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="preprocessor">#include &quot;<a class="code" href="_serial_port_8hpp.html">SerialPort.hpp</a>&quot;</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="preprocessor">#include &quot;<a class="code" href="_travel_info_8hpp.html">TravelInfo.hpp</a>&quot;</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="_main_window_8hpp.html#a884ff2434f66dedb2e642f2a61f932c5">   26</a></span><span class="preprocessor">#define WIDGETS_WIDTH 550</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="_main_window_8hpp.html#a88aa0672db4bd7498b440134f2e01af4">   27</a></span><span class="preprocessor">#define WIDGETS_XCOORD 320</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="_main_window_8hpp.html#a0a70bb3d7aecc8f2760b6911e4698e0f">   28</a></span><span class="preprocessor">#define XMARGIN 20</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="_main_window_8hpp.html#a04814f7e9804edde849f86e3b94dd572">   29</a></span><span class="preprocessor">#define YMARGIN 30</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="_main_window_8hpp.html#a847b99b287f7c6555ab0f1cb4ed52119">   30</a></span><span class="preprocessor">#define TIME_INTERVAL 50</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="keyword">extern</span> std::condition_variable <a class="code hl_variable" href="_main_window_8hpp.html#aad7bbf4191e375baee5f99ed26694706">start</a>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="keyword">extern</span> std::mutex <a class="code hl_variable" href="_main_window_8hpp.html#a1b56d40ec3cfbf9e16772d3c02374e9f">cm</a>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="class_main_window.html">   44</a></span><span class="keyword">class </span><a class="code hl_class" href="class_main_window.html">MainWindow</a> : <span class="keyword">public</span> QMainWindow</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>{</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>  Q_OBJECT</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="class_main_window.html#a41228cf573c300dfa710206783fffd2f">   55</a></span>    QWidget *<a class="code hl_variable" href="class_main_window.html#a41228cf573c300dfa710206783fffd2f">main_widget</a>;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="class_main_window.html#afecba282687848b44c55036ade1922bd">   59</a></span>    QMenu *<a class="code hl_variable" href="class_main_window.html#afecba282687848b44c55036ade1922bd">lang_menu</a>;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="class_main_window.html#a4e3feffb969822041d3629e01584452a">   63</a></span>    QAction *<a class="code hl_variable" href="class_main_window.html#a4e3feffb969822041d3629e01584452a">pl_lang</a>;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="class_main_window.html#afc498bf194fe7640bd3b964173cdf513">   67</a></span>    QAction *<a class="code hl_variable" href="class_main_window.html#afc498bf194fe7640bd3b964173cdf513">eng_lang</a>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="class_main_window.html#a25ed17d6ac22ed4f95d2f06deb115c24">   71</a></span>    QPushButton *<a class="code hl_variable" href="class_main_window.html#a25ed17d6ac22ed4f95d2f06deb115c24">start_button</a>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="class_main_window.html#a8a369bc2511941fec84dfb6f9d652f35">   75</a></span>    QPushButton *<a class="code hl_variable" href="class_main_window.html#a8a369bc2511941fec84dfb6f9d652f35">end_button</a>;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="class_main_window.html#a353fe0535aaca3ce6597d2ffd9f44241">   79</a></span>    <a class="code hl_class" href="class_terminal.html">Terminal</a> *<a class="code hl_variable" href="class_main_window.html#a353fe0535aaca3ce6597d2ffd9f44241">terminal</a>;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="class_main_window.html#acebe2328d46e24d95c03ad210933b168">   83</a></span>    <a class="code hl_class" href="class_map3_d.html">Map3D</a> *<a class="code hl_variable" href="class_main_window.html#acebe2328d46e24d95c03ad210933b168">map</a>;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="class_main_window.html#a621820c90e8a99378efb99149c82af98">   87</a></span>    <a class="code hl_class" href="class_velocity_graph.html">VelocityGraph</a> *<a class="code hl_variable" href="class_main_window.html#a621820c90e8a99378efb99149c82af98">graphs</a>[2];</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="class_main_window.html#a0f48d13d200050cefb8a2c9cae8705c9">   91</a></span>    <a class="code hl_class" href="class_distance_win.html">DistanceWin</a> *<a class="code hl_variable" href="class_main_window.html#a0f48d13d200050cefb8a2c9cae8705c9">distances</a>;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno"><a class="line" href="class_main_window.html#a6a1f45248f0f7feadca2fefa68961982">   95</a></span>    <a class="code hl_class" href="class_travel_info.html">TravelInfo</a> *<a class="code hl_variable" href="class_main_window.html#a6a1f45248f0f7feadca2fefa68961982">traveled_distance</a>;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="class_main_window.html#aed447fb7bc11c0cd4be563f743e647af">   99</a></span>    <a class="code hl_class" href="class_travel_info.html">TravelInfo</a> *<a class="code hl_variable" href="class_main_window.html#aed447fb7bc11c0cd4be563f743e647af">coords</a>;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="class_main_window.html#ab8a4947c85721e80b5aaba35a1403369">  103</a></span>    <a class="code hl_class" href="class_serial_port.html">SerialPort</a> *<a class="code hl_variable" href="class_main_window.html#ab8a4947c85721e80b5aaba35a1403369">serial</a>;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="class_main_window.html#a356578805ed1248a7f2807434cb0e5ee">  107</a></span>    QTimer *<a class="code hl_variable" href="class_main_window.html#a356578805ed1248a7f2807434cb0e5ee">timer</a>;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="class_main_window.html#adba2bc7ed31f560ceef2b3006a05de3b">  111</a></span>    QVBoxLayout *<a class="code hl_variable" href="class_main_window.html#adba2bc7ed31f560ceef2b3006a05de3b">vertical_layout</a>;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="class_main_window.html#a479291f16541e02fdfa3dd5fb7de2e4e">  115</a></span>    QHBoxLayout *<a class="code hl_variable" href="class_main_window.html#a479291f16541e02fdfa3dd5fb7de2e4e">horizon_layout</a>;</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="class_main_window.html#a84fbe0d2c1a0ab5b98914f4abba1a80b">  121</a></span>    QHBoxLayout *<a class="code hl_variable" href="class_main_window.html#a84fbe0d2c1a0ab5b98914f4abba1a80b">travelinfo_layout</a>;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_main_window.html#a03799692902ab88a551b4dca1fa042db">createMenu</a>();</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_main_window.html#a9fdfec5708365ddc98b17e431398841f">contextMenuEvent</a>(QContextMenuEvent *event) <span class="keyword">override</span>;</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_main_window.html#a092bc60649c2831c9c0bb58e6d1bf1f1">retranslate</a>(QMainWindow *main_window);</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span> </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    <a class="code hl_class" href="class_main_window.html">MainWindow</a>(QWidget *parent = <span class="keyword">nullptr</span>, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> x = 1800, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> y = 960);</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    <a class="code hl_function" href="class_main_window.html#ae98d00a93bc118200eeef9f9bba1dba7">~MainWindow</a>();</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_main_window.html#a505c42044d50b095841812dac82e385a">setVerticalLayout</a>();</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_main_window.html#a0a3c21256fcd526fa1ee8ce30bff6d70">setHorizontalLayout</a>();</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno"><a class="line" href="class_main_window.html#a663535964d681a72bd7baf64e5d336da">  162</a></span>    <a class="code hl_class" href="class_serial_port.html">SerialPort</a> * <a class="code hl_function" href="class_main_window.html#a663535964d681a72bd7baf64e5d336da">returnSerial</a>() { <span class="keywordflow">return</span> <a class="code hl_variable" href="class_main_window.html#ab8a4947c85721e80b5aaba35a1403369">serial</a>; }</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code hl_function" href="class_main_window.html#a416ae2140ac1aa9f03a6279316abdcad">changeEvent</a>(QEvent *event) <span class="keyword">override</span>;</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_main_window.html#a7e4aff0e6115f925d23d6a4272fe6303">languageChoice</a>(<span class="keywordtype">int</span> index);</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span> </div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>   <span class="keyword">public</span> slots:</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550">updateWindow</a>();</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_main_window.html#a3a503f5106dd5b87c5bd928c4737016c">startThread</a>();</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno"><a class="line" href="class_main_window.html#ae57531c18dc214964cb2de3f334dba0f">  186</a></span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_main_window.html#ae57531c18dc214964cb2de3f334dba0f">stopTimer</a>() { <a class="code hl_variable" href="class_main_window.html#a356578805ed1248a7f2807434cb0e5ee">timer</a>-&gt;stop(); }</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_main_window.html#a31824aa1482e54ed17467596c8b3bb24">startSerialConnection</a>();</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_main_window.html#a0dc08b98850414e14c4ca6eff329346e">endSerialConnection</a>();</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_main_window.html#a08c3c589283d46ae876677cf581826f7">plLangChosen</a>();</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_main_window.html#ae257f4aef4eadcf49538c2cb8c9488c7">engLangChosen</a>();</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span> </div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>  signals:</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno"><a class="line" href="class_main_window.html#ad18033579ccdad6f39dea914b0c8eb9a">  208</a></span>    <span class="keywordtype">void</span> <a class="code hl_signal" href="class_main_window.html#ad18033579ccdad6f39dea914b0c8eb9a">serialReady</a>();</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno"><a class="line" href="class_main_window.html#ac02bc0c466bc5b5ad43b8097a3642225">  212</a></span>    <span class="keywordtype">void</span> <a class="code hl_signal" href="class_main_window.html#ac02bc0c466bc5b5ad43b8097a3642225">serialEnded</a>();</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno"><a class="line" href="class_main_window.html#a5c8aee50c5585e4e36ab9e76c8f0318a">  216</a></span>    <span class="keywordtype">void</span> <a class="code hl_signal" href="class_main_window.html#a5c8aee50c5585e4e36ab9e76c8f0318a">serialOpenError</a>();</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno"><a class="line" href="class_main_window.html#a8fc137b4622ea499e3a9c37bbcf6fb63">  220</a></span>    <span class="keywordtype">void</span> <a class="code hl_signal" href="class_main_window.html#a8fc137b4622ea499e3a9c37bbcf6fb63">typePl</a>();</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno"><a class="line" href="class_main_window.html#aa3a78aeb57b0f47aeb58da36e9e2e16a">  224</a></span>    <span class="keywordtype">void</span> <a class="code hl_signal" href="class_main_window.html#aa3a78aeb57b0f47aeb58da36e9e2e16a">typeEng</a>();</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>};</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span> </div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span><span class="preprocessor">#endif </span><span class="comment">// MAINWINDOW_HPP</span></div>
<div class="ttc" id="a_distance_win_8hpp_html"><div class="ttname"><a href="_distance_win_8hpp.html">DistanceWin.hpp</a></div><div class="ttdoc">Definicja klasy DistanceWin.</div></div>
<div class="ttc" id="a_main_window_8hpp_html_a1b56d40ec3cfbf9e16772d3c02374e9f"><div class="ttname"><a href="_main_window_8hpp.html#a1b56d40ec3cfbf9e16772d3c02374e9f">cm</a></div><div class="ttdeci">std::mutex cm</div><div class="ttdef"><b>Definition</b> <a href="main_8cpp_source.html#l00008">main.cpp:8</a></div></div>
<div class="ttc" id="a_main_window_8hpp_html_aad7bbf4191e375baee5f99ed26694706"><div class="ttname"><a href="_main_window_8hpp.html#aad7bbf4191e375baee5f99ed26694706">start</a></div><div class="ttdeci">std::condition_variable start</div><div class="ttdef"><b>Definition</b> <a href="main_8cpp_source.html#l00007">main.cpp:7</a></div></div>
<div class="ttc" id="a_map3_d_8hpp_html"><div class="ttname"><a href="_map3_d_8hpp.html">Map3D.hpp</a></div><div class="ttdoc">Definicja klasy Map3D.</div></div>
<div class="ttc" id="a_robot_data_8hpp_html"><div class="ttname"><a href="_robot_data_8hpp.html">RobotData.hpp</a></div><div class="ttdoc">Definicja klasy RobotData.</div></div>
<div class="ttc" id="a_serial_port_8hpp_html"><div class="ttname"><a href="_serial_port_8hpp.html">SerialPort.hpp</a></div><div class="ttdoc">Definicja klasy SerialPort.</div></div>
<div class="ttc" id="a_terminal_8hpp_html"><div class="ttname"><a href="_terminal_8hpp.html">Terminal.hpp</a></div><div class="ttdoc">Definicja klasy Terminal.</div></div>
<div class="ttc" id="a_travel_info_8hpp_html"><div class="ttname"><a href="_travel_info_8hpp.html">TravelInfo.hpp</a></div><div class="ttdoc">Definicja klasy TravelInfo.</div></div>
<div class="ttc" id="a_velocity_graph_8hpp_html"><div class="ttname"><a href="_velocity_graph_8hpp.html">VelocityGraph.hpp</a></div><div class="ttdoc">Definicja klasy VelocityGraph.</div></div>
<div class="ttc" id="aclass_distance_win_html"><div class="ttname"><a href="class_distance_win.html">DistanceWin</a></div><div class="ttdoc">Widget wyświetlający odczyty czujników odległości.</div><div class="ttdef"><b>Definition</b> <a href="_distance_win_8hpp_source.html#l00030">DistanceWin.hpp:31</a></div></div>
<div class="ttc" id="aclass_main_window_html"><div class="ttname"><a href="class_main_window.html">MainWindow</a></div><div class="ttdoc">Główne okno aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00044">MainWindow.hpp:45</a></div></div>
<div class="ttc" id="aclass_main_window_html_a03799692902ab88a551b4dca1fa042db"><div class="ttname"><a href="class_main_window.html#a03799692902ab88a551b4dca1fa042db">MainWindow::createMenu</a></div><div class="ttdeci">void createMenu()</div><div class="ttdoc">Inicjalizuje menu aplikacji (wybór języka)</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00153">MainWindow.cpp:153</a></div></div>
<div class="ttc" id="aclass_main_window_html_a08c3c589283d46ae876677cf581826f7"><div class="ttname"><a href="class_main_window.html#a08c3c589283d46ae876677cf581826f7">MainWindow::plLangChosen</a></div><div class="ttdeci">void plLangChosen()</div><div class="ttdoc">Rozpoczyna procedurę zmiany języka na polski.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00216">MainWindow.cpp:216</a></div></div>
<div class="ttc" id="aclass_main_window_html_a092bc60649c2831c9c0bb58e6d1bf1f1"><div class="ttname"><a href="class_main_window.html#a092bc60649c2831c9c0bb58e6d1bf1f1">MainWindow::retranslate</a></div><div class="ttdeci">void retranslate(QMainWindow *main_window)</div><div class="ttdoc">Metoda tłumacząca napisy wyświetlane w oknie głównym.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00253">MainWindow.cpp:253</a></div></div>
<div class="ttc" id="aclass_main_window_html_a0a3c21256fcd526fa1ee8ce30bff6d70"><div class="ttname"><a href="class_main_window.html#a0a3c21256fcd526fa1ee8ce30bff6d70">MainWindow::setHorizontalLayout</a></div><div class="ttdeci">void setHorizontalLayout()</div><div class="ttdoc">Ustawia widgety w poziomie (mapa + prawa kolumna)</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00107">MainWindow.cpp:107</a></div></div>
<div class="ttc" id="aclass_main_window_html_a0dc08b98850414e14c4ca6eff329346e"><div class="ttname"><a href="class_main_window.html#a0dc08b98850414e14c4ca6eff329346e">MainWindow::endSerialConnection</a></div><div class="ttdeci">void endSerialConnection()</div><div class="ttdoc">Kończy komunikację z portem szeregowym.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00205">MainWindow.cpp:205</a></div></div>
<div class="ttc" id="aclass_main_window_html_a0f48d13d200050cefb8a2c9cae8705c9"><div class="ttname"><a href="class_main_window.html#a0f48d13d200050cefb8a2c9cae8705c9">MainWindow::distances</a></div><div class="ttdeci">DistanceWin * distances</div><div class="ttdoc">Okno z odczytami czujników odległości (DistanceWin)</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00091">MainWindow.hpp:91</a></div></div>
<div class="ttc" id="aclass_main_window_html_a25ed17d6ac22ed4f95d2f06deb115c24"><div class="ttname"><a href="class_main_window.html#a25ed17d6ac22ed4f95d2f06deb115c24">MainWindow::start_button</a></div><div class="ttdeci">QPushButton * start_button</div><div class="ttdoc">Przycisk rozpoczynający pracę aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00071">MainWindow.hpp:71</a></div></div>
<div class="ttc" id="aclass_main_window_html_a29e2501ffde7ab9786bd5ab02f055550"><div class="ttname"><a href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550">MainWindow::updateWindow</a></div><div class="ttdeci">void updateWindow()</div><div class="ttdoc">Aktualizuje dane w każdym widgecie.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00123">MainWindow.cpp:123</a></div></div>
<div class="ttc" id="aclass_main_window_html_a31824aa1482e54ed17467596c8b3bb24"><div class="ttname"><a href="class_main_window.html#a31824aa1482e54ed17467596c8b3bb24">MainWindow::startSerialConnection</a></div><div class="ttdeci">void startSerialConnection()</div><div class="ttdoc">Rozpoczyna komunikację z portem szeregowym.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00195">MainWindow.cpp:195</a></div></div>
<div class="ttc" id="aclass_main_window_html_a353fe0535aaca3ce6597d2ffd9f44241"><div class="ttname"><a href="class_main_window.html#a353fe0535aaca3ce6597d2ffd9f44241">MainWindow::terminal</a></div><div class="ttdeci">Terminal * terminal</div><div class="ttdoc">Okno terminala (Terminal)</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00079">MainWindow.hpp:79</a></div></div>
<div class="ttc" id="aclass_main_window_html_a356578805ed1248a7f2807434cb0e5ee"><div class="ttname"><a href="class_main_window.html#a356578805ed1248a7f2807434cb0e5ee">MainWindow::timer</a></div><div class="ttdeci">QTimer * timer</div><div class="ttdoc">Stoper wyznaczający takt czytaania portu szeregowego.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00107">MainWindow.hpp:107</a></div></div>
<div class="ttc" id="aclass_main_window_html_a3a503f5106dd5b87c5bd928c4737016c"><div class="ttname"><a href="class_main_window.html#a3a503f5106dd5b87c5bd928c4737016c">MainWindow::startThread</a></div><div class="ttdeci">void startThread()</div><div class="ttdoc">Rozpoczyna pracę wątku.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00183">MainWindow.cpp:183</a></div></div>
<div class="ttc" id="aclass_main_window_html_a41228cf573c300dfa710206783fffd2f"><div class="ttname"><a href="class_main_window.html#a41228cf573c300dfa710206783fffd2f">MainWindow::main_widget</a></div><div class="ttdeci">QWidget * main_widget</div><div class="ttdoc">Główny widget okna aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00055">MainWindow.hpp:55</a></div></div>
<div class="ttc" id="aclass_main_window_html_a416ae2140ac1aa9f03a6279316abdcad"><div class="ttname"><a href="class_main_window.html#a416ae2140ac1aa9f03a6279316abdcad">MainWindow::changeEvent</a></div><div class="ttdeci">virtual void changeEvent(QEvent *event) override</div><div class="ttdoc">Funkcja przechwytująvca zdarzenia.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00241">MainWindow.cpp:241</a></div></div>
<div class="ttc" id="aclass_main_window_html_a479291f16541e02fdfa3dd5fb7de2e4e"><div class="ttname"><a href="class_main_window.html#a479291f16541e02fdfa3dd5fb7de2e4e">MainWindow::horizon_layout</a></div><div class="ttdeci">QHBoxLayout * horizon_layout</div><div class="ttdoc">Zarządca horyzontalny aplikacji (mapa + zarządca wertykalny)</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00115">MainWindow.hpp:115</a></div></div>
<div class="ttc" id="aclass_main_window_html_a4e3feffb969822041d3629e01584452a"><div class="ttname"><a href="class_main_window.html#a4e3feffb969822041d3629e01584452a">MainWindow::pl_lang</a></div><div class="ttdeci">QAction * pl_lang</div><div class="ttdoc">Akcja związana z wyborem języka polskiego.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00063">MainWindow.hpp:63</a></div></div>
<div class="ttc" id="aclass_main_window_html_a505c42044d50b095841812dac82e385a"><div class="ttname"><a href="class_main_window.html#a505c42044d50b095841812dac82e385a">MainWindow::setVerticalLayout</a></div><div class="ttdeci">void setVerticalLayout()</div><div class="ttdoc">Ustawia widgety w prawej kolumnie okna aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00088">MainWindow.cpp:88</a></div></div>
<div class="ttc" id="aclass_main_window_html_a5c8aee50c5585e4e36ab9e76c8f0318a"><div class="ttname"><a href="class_main_window.html#a5c8aee50c5585e4e36ab9e76c8f0318a">MainWindow::serialOpenError</a></div><div class="ttdeci">void serialOpenError()</div><div class="ttdoc">Błąd otworzenia portu szeregowego.</div></div>
<div class="ttc" id="aclass_main_window_html_a621820c90e8a99378efb99149c82af98"><div class="ttname"><a href="class_main_window.html#a621820c90e8a99378efb99149c82af98">MainWindow::graphs</a></div><div class="ttdeci">VelocityGraph * graphs[2]</div><div class="ttdoc">Dwa wykresy prędkości (VelocityGraph)</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00087">MainWindow.hpp:87</a></div></div>
<div class="ttc" id="aclass_main_window_html_a663535964d681a72bd7baf64e5d336da"><div class="ttname"><a href="class_main_window.html#a663535964d681a72bd7baf64e5d336da">MainWindow::returnSerial</a></div><div class="ttdeci">SerialPort * returnSerial()</div><div class="ttdoc">Zwraca uchwyt do klasy modelującej port szeregowy.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00162">MainWindow.hpp:162</a></div></div>
<div class="ttc" id="aclass_main_window_html_a6a1f45248f0f7feadca2fefa68961982"><div class="ttname"><a href="class_main_window.html#a6a1f45248f0f7feadca2fefa68961982">MainWindow::traveled_distance</a></div><div class="ttdeci">TravelInfo * traveled_distance</div><div class="ttdoc">Okno z informacją o przebytej drodze (TravelInfo)</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00095">MainWindow.hpp:95</a></div></div>
<div class="ttc" id="aclass_main_window_html_a7e4aff0e6115f925d23d6a4272fe6303"><div class="ttname"><a href="class_main_window.html#a7e4aff0e6115f925d23d6a4272fe6303">MainWindow::languageChoice</a></div><div class="ttdeci">void languageChoice(int index)</div><div class="ttdoc">Funkcja kontrolująca przepływ logiki zmiany języka.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00275">MainWindow.cpp:275</a></div></div>
<div class="ttc" id="aclass_main_window_html_a84fbe0d2c1a0ab5b98914f4abba1a80b"><div class="ttname"><a href="class_main_window.html#a84fbe0d2c1a0ab5b98914f4abba1a80b">MainWindow::travelinfo_layout</a></div><div class="ttdeci">QHBoxLayout * travelinfo_layout</div><div class="ttdoc">Zarządca horyzontalny układający informacje o podróży robota.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00121">MainWindow.hpp:121</a></div></div>
<div class="ttc" id="aclass_main_window_html_a8a369bc2511941fec84dfb6f9d652f35"><div class="ttname"><a href="class_main_window.html#a8a369bc2511941fec84dfb6f9d652f35">MainWindow::end_button</a></div><div class="ttdeci">QPushButton * end_button</div><div class="ttdoc">Przycisk kończący pracę apliklacji.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00075">MainWindow.hpp:75</a></div></div>
<div class="ttc" id="aclass_main_window_html_a8fc137b4622ea499e3a9c37bbcf6fb63"><div class="ttname"><a href="class_main_window.html#a8fc137b4622ea499e3a9c37bbcf6fb63">MainWindow::typePl</a></div><div class="ttdeci">void typePl()</div><div class="ttdoc">Komunikat o zmianie języka na polski.</div></div>
<div class="ttc" id="aclass_main_window_html_a9fdfec5708365ddc98b17e431398841f"><div class="ttname"><a href="class_main_window.html#a9fdfec5708365ddc98b17e431398841f">MainWindow::contextMenuEvent</a></div><div class="ttdeci">void contextMenuEvent(QContextMenuEvent *event) override</div><div class="ttdoc">Rozwija menu kontekstowe.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00169">MainWindow.cpp:169</a></div></div>
<div class="ttc" id="aclass_main_window_html_aa3a78aeb57b0f47aeb58da36e9e2e16a"><div class="ttname"><a href="class_main_window.html#aa3a78aeb57b0f47aeb58da36e9e2e16a">MainWindow::typeEng</a></div><div class="ttdeci">void typeEng()</div><div class="ttdoc">Komunikat o zmianie języka na angielski.</div></div>
<div class="ttc" id="aclass_main_window_html_ab8a4947c85721e80b5aaba35a1403369"><div class="ttname"><a href="class_main_window.html#ab8a4947c85721e80b5aaba35a1403369">MainWindow::serial</a></div><div class="ttdeci">SerialPort * serial</div><div class="ttdoc">Klasa obsługująca port szeregowy.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00103">MainWindow.hpp:103</a></div></div>
<div class="ttc" id="aclass_main_window_html_ac02bc0c466bc5b5ad43b8097a3642225"><div class="ttname"><a href="class_main_window.html#ac02bc0c466bc5b5ad43b8097a3642225">MainWindow::serialEnded</a></div><div class="ttdeci">void serialEnded()</div><div class="ttdoc">Zakończenie połączenia z portem szeregowym.</div></div>
<div class="ttc" id="aclass_main_window_html_acebe2328d46e24d95c03ad210933b168"><div class="ttname"><a href="class_main_window.html#acebe2328d46e24d95c03ad210933b168">MainWindow::map</a></div><div class="ttdeci">Map3D * map</div><div class="ttdoc">Trójwymiarowa mapa robota (Map3D)</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00083">MainWindow.hpp:83</a></div></div>
<div class="ttc" id="aclass_main_window_html_ad18033579ccdad6f39dea914b0c8eb9a"><div class="ttname"><a href="class_main_window.html#ad18033579ccdad6f39dea914b0c8eb9a">MainWindow::serialReady</a></div><div class="ttdeci">void serialReady()</div><div class="ttdoc">Port szeregowy gotowy do pracy.</div></div>
<div class="ttc" id="aclass_main_window_html_adba2bc7ed31f560ceef2b3006a05de3b"><div class="ttname"><a href="class_main_window.html#adba2bc7ed31f560ceef2b3006a05de3b">MainWindow::vertical_layout</a></div><div class="ttdeci">QVBoxLayout * vertical_layout</div><div class="ttdoc">Zarządca wertykalny (prawa kolumna okna aplikacji)</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00111">MainWindow.hpp:111</a></div></div>
<div class="ttc" id="aclass_main_window_html_ae257f4aef4eadcf49538c2cb8c9488c7"><div class="ttname"><a href="class_main_window.html#ae257f4aef4eadcf49538c2cb8c9488c7">MainWindow::engLangChosen</a></div><div class="ttdeci">void engLangChosen()</div><div class="ttdoc">Rozpoczyna procedurę zmiany języka na angielski.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00228">MainWindow.cpp:228</a></div></div>
<div class="ttc" id="aclass_main_window_html_ae57531c18dc214964cb2de3f334dba0f"><div class="ttname"><a href="class_main_window.html#ae57531c18dc214964cb2de3f334dba0f">MainWindow::stopTimer</a></div><div class="ttdeci">void stopTimer()</div><div class="ttdoc">Zatrzymuje timer.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00186">MainWindow.hpp:186</a></div></div>
<div class="ttc" id="aclass_main_window_html_ae98d00a93bc118200eeef9f9bba1dba7"><div class="ttname"><a href="class_main_window.html#ae98d00a93bc118200eeef9f9bba1dba7">MainWindow::~MainWindow</a></div><div class="ttdeci">~MainWindow()</div><div class="ttdoc">Destruktor klasy MainWindow.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00304">MainWindow.cpp:304</a></div></div>
<div class="ttc" id="aclass_main_window_html_aed447fb7bc11c0cd4be563f743e647af"><div class="ttname"><a href="class_main_window.html#aed447fb7bc11c0cd4be563f743e647af">MainWindow::coords</a></div><div class="ttdeci">TravelInfo * coords</div><div class="ttdoc">Okno z informacją o aktualnych współrzędnych robota (TravelInfo)</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00099">MainWindow.hpp:99</a></div></div>
<div class="ttc" id="aclass_main_window_html_afc498bf194fe7640bd3b964173cdf513"><div class="ttname"><a href="class_main_window.html#afc498bf194fe7640bd3b964173cdf513">MainWindow::eng_lang</a></div><div class="ttdeci">QAction * eng_lang</div><div class="ttdoc">Akcja związana z wyborem języka angielskiego.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00067">MainWindow.hpp:67</a></div></div>
<div class="ttc" id="aclass_main_window_html_afecba282687848b44c55036ade1922bd"><div class="ttname"><a href="class_main_window.html#afecba282687848b44c55036ade1922bd">MainWindow::lang_menu</a></div><div class="ttdeci">QMenu * lang_menu</div><div class="ttdoc">Menu aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00059">MainWindow.hpp:59</a></div></div>
<div class="ttc" id="aclass_map3_d_html"><div class="ttname"><a href="class_map3_d.html">Map3D</a></div><div class="ttdoc">Opakowanie okna z obiektami trójwymiarowymi.</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8hpp_source.html#l00022">Map3D.hpp:23</a></div></div>
<div class="ttc" id="aclass_serial_port_html"><div class="ttname"><a href="class_serial_port.html">SerialPort</a></div><div class="ttdoc">Modeluje port szeregowy.</div><div class="ttdef"><b>Definition</b> <a href="_serial_port_8hpp_source.html#l00041">SerialPort.hpp:42</a></div></div>
<div class="ttc" id="aclass_terminal_html"><div class="ttname"><a href="class_terminal.html">Terminal</a></div><div class="ttdoc">Wyświetla różnego typu komunikaty.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8hpp_source.html#l00028">Terminal.hpp:29</a></div></div>
<div class="ttc" id="aclass_travel_info_html"><div class="ttname"><a href="class_travel_info.html">TravelInfo</a></div><div class="ttdoc">Wyświetla informacje o podróży robota.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8hpp_source.html#l00028">TravelInfo.hpp:29</a></div></div>
<div class="ttc" id="aclass_velocity_graph_html"><div class="ttname"><a href="class_velocity_graph.html">VelocityGraph</a></div><div class="ttdoc">Wykres prędkości koła w czasie.</div><div class="ttdef"><b>Definition</b> <a href="_velocity_graph_8hpp_source.html#l00031">VelocityGraph.hpp:32</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_main_window_8hpp.html">MainWindow.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
